# One of "development", "staging", "production". Defaults to "development".
# In any environment that is not "production", a big visible warning naming
# the current environment is shown at the top of every page.
# When the environment is "development", DEBUG is set to True.
SERVALA_ENVIRONMENT='development'

# Set SERVALA_PREVIOUS_SECRET_KEY when rotating to a new secret key in order to not expire all sessions and to remain able to read encrypted fields!
# In order to retire the previous key, run the ``reencrypt_fields`` command. Once you drop the previous secret key from
# the rotation, all sessions that still rely on that key will be invalidated (i.e., users will have to log in again).
# SERVALA_PREVIOUS_SECRET_KEY=''
SERVALA_SECRET_KEY='django-insecure-8sl^1&1f-$3%w7cf)q(rcvi4jo(#s3ug-@be0ooc2ioep*&%7@'

# Set SERVALA_PREVIOUS_SALT_KEY when rotating to a new salt in order to remain able to read encrypted fields!
# In order to retire the previous key, run the ``reencrypt_fields`` command.
# SERVALA_PREVIOUS_SALT_KEY=''
SERVALA_SALT_KEY='eed6UaCi3euZojai5Iequ8ochookun1o'

# Set the allowed hosts as comma-separated list.
# Use a leading dot to match a domain and all subdomains.
# Leave or unset in the development environment in order to accept localhost names.
SERVALA_ALLOWED_HOSTS='.example.com'

# Database settings:
# In development mode, leave the DB name empty in order to use a SQLite database called db.sqlite3
# Otherwise, defaults point to a local PostgreSQL database with name and user "servala".
# You MUST set the password.
SERVALA_DB_USER=''
SERVALA_DB_PASSWORD=''
SERVALA_DB_HOST=''
SERVALA_DB_PORT=''

# Location for file uploads. Leading "/" for absolute path, otherwise relative to base dir
# Defaults to 'media'
SERVALA_MEDIA_ROOT=''

SERVALA_EMAIL_HOST='localhost'
SERVALA_EMAIL_PORT='25'
SERVALA_EMAIL_USER=''
SERVALA_EMAIL_PASSWORD=''
# At most one of the following settings may be set to True
SERVALA_EMAIL_TLS='False'
SERVALA_EMAIL_SSL='False'
SERVALA_EMAIL_DEFAULT_FROM='noreply@servala.com'

# If the default OrganizationOrigin is **not** the one with the database ID 1, set it here.
SERVALA_DEFAULT_ORIGIN='1'

SERVALA_KEYCLOAK_CLIENT_ID='portal.servala.com'
SERVALA_KEYCLOAK_CLIENT_SECRET=''
SERVALA_KEYCLOAK_SERVER_URL=''

# S3 Storage settings (optional, for using S3 compatible storage for media files)
# If these are set, Django will use S3 for default file storage.
# Defaults are indicated if any.
# SERVALA_STORAGE_BUCKET_NAME=''
# SERVALA_S3_ENDPOINT_URL=''
# SERVALA_ACCESS_KEY_ID=''
# SERVALA_SECRET_ACCESS_KEY=''
# SERVALA_S3_REGION_NAME='eu-central-1'
# SERVALA_S3_ADDRESSING_STYLE='virtual'
# SERVALA_S3_SIGNATURE_VERSION='s3v4'

# Configuration for Sentry error reporting
SERVALA_SENTRY_DSN=''

SERVALA_ODOO_DB=''
SERVALA_ODOO_URL=''
SERVALA_ODOO_USERNAME=''
SERVALA_ODOO_PASSWORD=''
# Helpdesk team ID for support tickets in Odoo. Defaults to 5.
SERVALA_ODOO_HELPDESK_TEAM_ID='5'

# OSB API authentication settings
SERVALA_OSB_USERNAME=''
SERVALA_OSB_PASSWORD=''
